package com.clx.performance.feign;

import com.clx.performance.vo.pc.child.OrderChildLineStatisticsVO;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;

import javax.validation.constraints.NotBlank;

@FeignClient(name = "clx-performance")
public interface OrderChildFeign {


    /**
     * 线路运单统计
     */
    @RequestMapping(value = "clx-performance/feign/orderChild/lineStatistics", method = RequestMethod.GET)
    OrderChildLineStatisticsVO lineStatistics(@NotBlank(message = "发货地址不可为空") Integer sendSystemAddressId, @NotBlank(message = "收货货地址不可为空") Integer receiveSystemAddressId);

}
